Loading...
Searching...
No Matches
tronconneuse.hpp File Reference
Private

defines a block structured file. More...

`#include "../my_config.h"`
`#include <string>`
`#include "infinint.hpp"`
`#include "archive_version.hpp"`
`#include "crypto_module.hpp"`
`#include "proto_tronco.hpp"`

Go to the source code of this file.

## Classes

class | libdar::tronconneuse
| this is a partial implementation of the generic_file interface to cypher/decypher data block by block. More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

defines a block structured file.

Mainly used for strong encryption.

Definition in file tronconneuse.hpp.